Loading...
Searching...
No Matches
pvslocalresidual.hh File Reference

Element-wise calculation of the local residual for the compositional multi-phase primary variable switching model. More...

`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/models/common/diffusionmodule.hh>`
`#include <opm/models/common/energymodule.hh>`
`#include <opm/models/common/multiphasebaseproperties.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`

Go to the source code of this file.

## Classes

class | Opm::PvsLocalResidual< TypeTag >
| Element-wise calculation of the local residual for the compositional multi-phase primary variable switching model. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Element-wise calculation of the local residual for the compositional multi-phase primary variable switching model.